Bug 3060 - apt-get install doesn't honor /etc/apt/pkgpriorities
: apt-get install doesn't honor /etc/apt/pkgpriorities
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-09-28 02:59 by
Modified: 2005-09-05 03:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-28 02:59:11
Похоже, что apt не работает так, как положено, 
и pkgpriorities просто игнорируются. 
 
Теперь у нас всё собирается с OpenPAM'ом. :( 
 

Steps to Reproduce:
$ aptbox/apt-get -q -y --print-uris install libpam-devel 
Чтение списков пакетов... 
Построение дерева зависимостей... 
Виртуальный пакет libpam-devel предоставляется следующими пакетами: 
  libpam2-devel 20030715-alt3 
  libpam0-devel 0.75-alt24 
Необходимо точно указать, какой из пакетов должен быть установлен. 
E: Для пакета libpam-devel не найдено подходящего кандидата для установки 
 
Actual Results:  
Первый в списке - libpam2-devel 

Expected Results:  
Первый в списке - libpam0-devel
------- Comment #1 From 2003-09-28 03:00:16 -------
bugzilla sux. 
------- Comment #2 From 2003-09-28 19:10:50 -------
При этом apt-pkg/algorithms.cc(pkgPrioSortList) вообще не вызывается. 
------- Comment #3 From 2003-09-28 19:25:14 -------
Да, там похоже совсем другой алгоритм отрабатывает при выборе виртуальных
пакетов.

Еще на это что-то хотел добавить Сергей Турчин.
------- Comment #4 From 2003-09-29 21:20:52 -------
Fixed in apt-0.5.5cnc4.1-alt7 
------- Comment #5 From 2003-09-29 21:21:51 -------
Looks like it works.